Package com.arms.api.product_service.pdservice_detail.service

## Class PdServiceDetailImpl

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl
  - - com.arms.api.product_service.pdservice_detail.service.PdServiceDetailImpl

- All Implemented Interfaces:
    `PdServiceDetail`, `TreeService`

      @Service("pdServiceDetail")
      public class PdServiceDetailImpl
      extends TreeServiceImpl
      implements PdServiceDetail

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PdServiceDetailImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PdServiceDetailEntity` | `addNodeWithGlobalContentsTreeMap​(java.lang.Long pdServiceId, PdServiceDetailEntity pdServiceDetailEntity)` |
    `int` | `deleteAll​(java.lang.Long pdServiceDetailId)` |
    `int` | `deleteFile​(java.lang.Long fileId)` |
    `java.util.List<PdServiceDetailEntity>` | `getNodesByPdService​(java.lang.Long pdServiceId)` |
    `java.util.Set<FileRepositoryEntity>` | `upload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest, FileRepository fileRepository)` |
    `java.util.Set<FileRepositoryEntity>` | `uploadFileForPdServiceNode​(java.lang.Long pdServiceDetailId, org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.service.TreeServiceImpl

      `addNode, alterNode, alterNodeType, calculatePosition, cutMyself, enterMyselfFixLeftRight, enterMyselfFromTree, fixPositionParentIdOfCopyNodes, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, newInstance, overwriteNode, pasteMyselfFromTree, removeNode, saveOrUpdateList, searchNode, stretchLeft, stretchLeftRightForMyselfFromTree, stretchPositionForMyselfFromTree, stretchRight, updateField, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Constructor Detail

    - #### PdServiceDetailImpl

          public PdServiceDetailImpl()

  - ### Method Detail

    - #### getNodesByPdService

          public java.util.List<PdServiceDetailEntity> getNodesByPdService​(java.lang.Long pdServiceId)
                                                                    throws java.lang.Exception

      Specified by:
        `getNodesByPdService` in interface `PdServiceDetail`
      Throws:
        `java.lang.Exception`

    - #### addNodeWithGlobalContentsTreeMap

          @Transactional
          public PdServiceDetailEntity addNodeWithGlobalContentsTreeMap​(java.lang.Long pdServiceId,
                                                                        PdServiceDetailEntity pdServiceDetailEntity)
                                                                 throws java.lang.Exception

      Specified by:
        `addNodeWithGlobalContentsTreeMap` in interface `PdServiceDetail`
      Throws:
        `java.lang.Exception`

    - #### uploadFileForPdServiceNode

          @Transactional
          public java.util.Set<FileRepositoryEntity> uploadFileForPdServiceNode​(java.lang.Long pdServiceDetailId,
                                                                                org.springframework.web.multipart.MultipartHttpServletRequest multiRequest)
                                                                         throws java.lang.Exception

      Specified by:
        `uploadFileForPdServiceNode` in interface `PdServiceDetail`
      Throws:
        `java.lang.Exception`

    - #### upload

          public java.util.Set<FileRepositoryEntity> upload​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest,
                                                            FileRepository fileRepository)
                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deleteFile

          @Transactional
          public int deleteFile​(java.lang.Long fileId)
                         throws java.lang.Exception

      Specified by:
        `deleteFile` in interface `PdServiceDetail`
      Throws:
        `java.lang.Exception`

    - #### deleteAll

          @Transactional
          public int deleteAll​(java.lang.Long pdServiceDetailId)
                        throws java.lang.Exception

      Specified by:
        `deleteAll` in interface `PdServiceDetail`
      Throws:
        `java.lang.Exception`